/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.project.entity.Archivedirectory;
import com.jeeplus.modules.project.dao.ArchivedirectoryDao;

/**
 * 归档目录Service
 * @author 姚儒彬
 * @version 2017-10-11
 */
@Service
@Transactional(readOnly = true)
public class ArchivedirectoryService extends CrudService<ArchivedirectoryDao, Archivedirectory> {

	public Archivedirectory get(String id) {
		return super.get(id);
	}

	public List<Archivedirectory> findList(Archivedirectory archivedirectory) {
		return super.findList(archivedirectory);
	}
	
	public Page<Archivedirectory> findPage(Page<Archivedirectory> page, Archivedirectory archivedirectory) {
		return super.findPage(page, archivedirectory);
	}
	
	@Transactional(readOnly = false)
	public void save(Archivedirectory archivedirectory) {
		super.save(archivedirectory);
	}
	
	@Transactional(readOnly = false)
	public void delete(Archivedirectory archivedirectory) {
		super.delete(archivedirectory);
	}

	@Autowired
	private ArchivedirectoryDao archivedirectoryDao;

	public List<Archivedirectory> getbidInformationById(String id) {
		return archivedirectoryDao.getbidInformationById(id);
	}

	
}